AGMCore 3.5.0

Basic API for AGMPlugins

  1. MMC2019
    Native Minecraft Version:
    1.17
    Tested Minecraft Versions:
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    • 1.17
    • 1.18
    Source Code:
    https://git.agmdev.xyz/AGMCore
    Contributors:
    https://discord.agmdev.xyz/
    [​IMG]
    Plugins require this as a dependency:
    [​IMG]

    The installation of this plugin is the same as other plugins by adding this plugin to the plugins folder.
    This plugin only provides required libraries for the server and other plugins there is no utility or functionality within this plugin


    [​IMG]
    There will be an extension named API with the plugin. Use the related version to your server's version by adding it to the extensions folder (plugins/AGMCore/Extensions). If there is nothing for your version, It means you do not need one.
    Use API1_17 for 1.17
    Use API1_18 for 1.18
    The API is responsible to activate NMS for your server (1.16-1.12 NMS is built-in)
    There are also some more addons that we recommend checking out!

    • Better Milk: Afraid no more as with this Add-on Drinking Milk will only remove effects you want (Customizable)
    • EXP-Extractor: With this addon, you can use glass bottles on an enchanting table to drain your EXP into them for later use.
    • Double Door: Tired of opening only one door of a double door?

    [​IMG]
    • Apache
    • NBTAPI
    • Web Reader
    • Version Utils
    • Material Wrapper
    • Encoders & Decoders
    • Extra Number Formats
    • File Reader
    • Reflections
    • Action Bar API
    • GUI API

Recent Updates

  1. GUI CMD (Custom Model Data)
  2. 1.18.2 compatibility
  3. Critical Messaging